@import url('https://fonts.cdnfonts.com/css/marcellus');
:root {
	--tt-main-bg-color: #fcf3df;   /*  background color. */
    --tt-main-bg-gold: #fcf3df; /*  background gold. */
	--tt-main-color: #C5983C; /*  main color. */
}


html, body {
    max-width: 100%; /* Uncommented to prevent body from exceeding viewport width */
    overflow-x: hidden; /* Prevent horizontal scroll */
    margin: 0;
    padding: 0;
    width: 100vw;
    box-sizing: border-box;
}

.first-item{

    margin-top: 5%;
}


.hightlight-items {
    display: flex;
    flex-wrap: wrap; /* Allow items to wrap to the next line */
    justify-content: space-around; /* Add space between items */
    

}

.hightlight-items .card{
    color: white;
    background-color: #000;
    height: 360px;
    padding: 1% 3%;
    padding-top: 3%;
    transition: transform 0.6s ease;
}

.hightlight-items .card :hover{
    transform: translateY(-20px);
}

.item {
    
    flex: 1 0 30%; /* Adjust the width of each item based on your preference */
    justify-content: center;
    align-content: center;
    color: #000;
    padding: 0 2%;
    margin-bottom: 2%; /* Add space below each item */
   
}



.item-img {
    width: 60px;
    height: 60px;
    border-radius: 100px;
}

/* Media Query for smaller screens */
@media only screen and (max-width: 768px) {
    .item {
        flex: 1 0 100%; /* Make each item take up 100% width on smaller screens */
    }
}

.department-section {
    background: #efefef;
    background: #d2b885;
    background: #e0d8cc;
    padding: 8% 5%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    flex-wrap: wrap;
}

.department-card {
    position: relative;
    width: 340px;
    height: 340px;
    box-shadow: 0 3px 15px rgba(126, 126, 126, 0.5);
    border: 2px solid; /* Set the width of the border */
    border-image-slice: 1; /* This is required for the border-image to work */
    border-image-source: linear-gradient(45deg,#8e6015, #fdddaa, #dab766, #b69121); /* Set the linear gradient */
    transition: 0.3 ease-out;
    border-radius: 30px;
    transition: transform 0.6s ease;
}
.department-card:hover{
    transform: translateY(-20px);
}
.department-card img {
    position: absolute;
    height: 100%;
    width: 100%;
    object-fit: fill;
    transition: 0.5s;
}

.department-card .card-content {
    position: absolute;
    left: 0;
    
    bottom: 0;
    width: 100%;
    height: 25%;
    text-align: center;
    color: black;
    cursor: pointer;
    background: linear-gradient(to top left, #ffffcc 0%, #b28558 100%);
    overflow: hidden;
    z-index: 1;
    transition: all 0.5s;
    
}

.department-card .card-content h3 {
    padding: 30px 10px 10px 10px;
    line-height: 1;
    font-family: serif;
    font-size: 20px;
}

.department-card .card-content p {
    padding: 8%;
    transform: translateX(-2em);
    line-height: 1.5em;
    text-align: justify;
    font-size: 16px;
    opacity: 0;
}

.department-card .card-content .btn .btn-department {
    padding: 3% 5%;
    border-radius: 30px;
    width: 80px;
    background: linear-gradient(45deg,#8e6015, #fdddaa, #dab766, #b69121);
    opacity: 0;
    transition: opacity 0.3s;
   
    
}

.department-card:hover {
    box-shadow: 0 3px 15px rgba(194, 163, 78, 0.5);
    
}

.department-card .card-content:hover {
    width: 100%;
    height: 100%;
    left: 0;
    bottom: 0;
    justify-content: center;
    align-items: center;
}

.department-card .card-content:hover p {
    transform: translateX(0);
    opacity: 1;
    transition: 0.3s;
    transition-delay: 0.3s;
}

.department-card .card-content:hover .btn-department {
    opacity: 1;
    transition: opacity 0.3s;
    
}
